package com.jdc.jdcproject.entity.VO;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;
@Data
public class FangpaishuiUnitVo {

    private static final long serialVersionUID = 1L;

    @Schema(description = "主键")
    @TableId("UnitID")
    private int UnitID;

    @Schema(description = "设备ID")
    private int EquipmentId;

    @Schema(description = "设备名称")
    private String equipmentName;

    @Schema(description = "机组编号")
    private String UnitCode;

    @Schema(description = "额定排水量")
    private int ratedCapacity;



    @Override
    public String toString() {
        return "FangpaishuiUnit{" +
                "UnitID = " + UnitID +
                ", EquipmentId = " + EquipmentId +
                ", equipmentName = " + equipmentName +
                ", UnitCode = " + UnitCode +
                ", ratedCapacity = " + ratedCapacity +
                "}";
    }
}
