package com.jdc.jdcproject.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * <p>
 * 平盘
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@TableName("diceke_platearea")
@Schema(name = "DicekePlatearea", description = "平盘")
@Data
public class DicekePlatearea implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "平盘ID")
    @TableId("PlateID")
    private String plateID;

    @Schema(description = "平盘号")
    private String plateRange;



    @Override
    public String toString() {
        return "DicekePlatearea{" +
        "plateID = " + plateID +
        ", plateRange = " + plateRange +
        "}";
    }
}
